<?php
/**
 * RSS Marquee
 *
 * @package 	RSS Marquee
 * @subpackage 	RSS Marquee
 * @version   	3.3
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2012/03/scrolling-rss-marquee-joomla-module/
 */

// No direct access
defined('_JEXEC') or die;

$marquee_scrolldelay = $marqueearry['marquee_scrolldelay'];
$marquee_scrollamount = $marqueearry['marquee_scrollamount'];
$marquee_direction = $marqueearry['marquee_direction'];
$marquee_style = $marqueearry['marquee_style'];

if (!is_numeric($marquee_scrolldelay)) { $marquee_scrolldelay = 5; }
if (!is_numeric($marquee_scrollamount)) { $marquee_scrollamount = 2; }

if ( ! empty($items) ) 
{
	$cnt = 0;
	$marquee = "";
	foreach ( $items as $item ) 
	{
		$title = $item->marque_title;
		$link =  $item->marque_link;
		if($cnt==0) 
		{  
			if($link != "") { $marquee = $marquee . "<a href='".$link."'>"; } 
			$marquee = $marquee . stripslashes($title);
			if($link != "") { $marquee = $marquee . "</a>"; }
		}
		else
		{
			if( ($marquee_direction == "down") || ($marquee_direction == "up") )
			{
				$marquee = $marquee . "   <br/><br/>   ";
			}
			else
			{
				$marquee = $marquee . "   &nbsp;&nbsp;   ";
			}
			if($link != "") { $marquee = $marquee . "<a href='".$link."'>"; } 
			$marquee = $marquee . stripslashes($title);
			if($link != "") { $marquee = $marquee . "</a>"; }
		}			
		$cnt = $cnt + 1;
	}
	$what_marquee = "";
	$what_marquee = $what_marquee . "<div style='padding:3px;'>";
	$what_marquee = $what_marquee . "<marquee style='$marquee_style' scrollamount='$marquee_scrollamount' scrolldelay='$marquee_scrolldelay' direction='$marquee_direction' onmouseover='this.stop()' onmouseout='this.start()'>";
	$what_marquee = $what_marquee . $marquee;
	$what_marquee = $what_marquee . "</marquee>";
	$what_marquee = $what_marquee . "</div>";
	echo $what_marquee;
}
?>