<?php
/**
 * RSS Marquee
 *
 * @package 	RSS Marquee
 * @subpackage 	RSS Marquee
 * @version   	3.3
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2012/03/scrolling-rss-marquee-joomla-module/
 */

// No direct access
defined('_JEXEC') or die;

class modMarquee
{	
	public static function getMarquee($args)
	{
		$rss = $args["marquee_rss"];
		$items	= array();
		$j = 0;
		$MarqueeTitle = "";
		$MarqueeLink = "";
		
		if($rss <> "")
		{
			$xml = "";
			$content = @file_get_contents($rss);
			if (strpos($http_response_header[0], "200")) 
			{
				$f = fopen( $rss, 'r' );
				while( $data = fread( $f, 4096 ) ) { $xml .= $data; }
				fclose( $f );
				preg_match_all( "/\<item\>(.*?)\<\/item\>/s", $xml, $itemblocks );
				
				if ( ! empty($itemblocks) ) 
				{
					foreach( $itemblocks[1] as $block )
					{
						preg_match_all( "/\<title\>(.*?)\<\/title\>/",  $block, $title );
						preg_match_all( "/\<link\>(.*?)\<\/link\>/", $block, $link );
						
						$MarqueeTitle = $title[1][0];
						$MarqueeTitle = trim($MarqueeTitle);
						$MarqueeLink = $link[1][0];
						$MarqueeLink = trim($MarqueeLink);
				
						$items[$j] = new stdClass;
						$items[$j]->marque_title = $MarqueeTitle;
						$items[$j]->marque_link	= $MarqueeLink;
						$j = $j+1;
					}
				}
			}
			else
			{
				echo "Invalid or Broken rss link.";
			}
		}
		return $items;
    }	
}
?>