<?php
/**
 * RSS Marquee
 *
 * @package 	RSS Marquee
 * @subpackage 	RSS Marquee
 * @version   	3.3
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2012/03/scrolling-rss-marquee-joomla-module/
 */

// No direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';

// Set default value for array
$marqueearry = array(
	'marquee_rss' => '',
	'marquee_scrolldelay' => '',
	'marquee_scrollamount' => '',
	'marquee_direction' => '',
	'marquee_style' => ''
);

// Get value for admin form
$marqueearry['marquee_rss'] = $params->get('marquee_rss');
$marqueearry['marquee_scrolldelay'] = $params->get('marquee_scrolldelay');
$marqueearry['marquee_scrollamount'] = $params->get('marquee_scrollamount');
$marqueearry['marquee_direction'] = $params->get('marquee_direction');
$marqueearry['marquee_style'] = $params->get('marquee_style');

if($marqueearry['marquee_scrolldelay'] == "") {
	$marqueearry['marquee_scrolldelay'] = 5;
}

if($marqueearry['marquee_scrollamount'] == "") {
	$marqueearry['marquee_scrollamount'] = 2;
}

$items = modMarquee::getMarquee($marqueearry);
require JModuleHelper::getLayoutPath('mod_rss_marquee', $params->get('layout', 'default'));
?>